<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">


  <xsl:template match="number-test/item">

    <xsl:variable name="no">
      <xsl:number value="position()"
		  format="i"/>
    </xsl:variable>

    <xsl:choose>
      <xsl:when test="position()=3 and $no='iii'">
	<xsl:text>OK16</xsl:text>
	<xsl:text>&#010;</xsl:text>
      </xsl:when>
    </xsl:choose>

  </xsl:template>


  <xsl:template match="name">

    <xsl:variable name="no">
      <xsl:number level="multiple" 
		  count="item|subitem"
		  format="A.1. "/>
    </xsl:variable>

    <xsl:choose>
      <xsl:when test="position()=6 and $no='C.1. '">
	<xsl:text>OK17</xsl:text>
	<xsl:text>&#010;</xsl:text>
      </xsl:when>
    </xsl:choose>

  </xsl:template>


</xsl:stylesheet>
