<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <!-- sum() -->
  <xsl:template match="sum-test">
    <xsl:variable name="sum">
      <xsl:value-of select="sum(item)"/>
    </xsl:variable>
    <xsl:if test="$sum=31">OK18</xsl:if>
    <xsl:if test="not($sum=31)">FAILED18</xsl:if>
    <xsl:text>&#010;</xsl:text>
    <xsl:apply-templates select="item" mode="axes"/>
    <xsl:apply-templates select="item[2]" mode="more-axes"/>
  </xsl:template>


  <xsl:template match="child::item" mode="axes">
    <xsl:for-each select="following-sibling::*">
      <xsl:if test="following-sibling::*/@id='i3'">
        <xsl:value-of select="following-sibling::*/@status"/>        
      </xsl:if>
    </xsl:for-each>
  </xsl:template>


  <xsl:template match="item" mode="more-axes">
    <xsl:for-each select="following::*">
      <xsl:if test="@id='i3'">
        <xsl:text>&#010;OK20</xsl:text>
      </xsl:if>
    </xsl:for-each>
    <xsl:for-each select="preceding::*">
      <xsl:if test="name()='alone'">
        <xsl:text>&#010;OK21</xsl:text>
      </xsl:if>
    </xsl:for-each>
  </xsl:template>


  <xsl:template match="format-test" mode="axes">
    <xsl:text>&#010;</xsl:text>
    <xsl:value-of select="translate(ancestor::*/descendant::item,'1','2')"/>
    <xsl:text>2</xsl:text>
    <xsl:text>&#010;</xsl:text>
  </xsl:template>
  

</xsl:stylesheet>
